Bug 619025 - Review Request: python-dpkt - Simple packet creation/parsing python library
Summary: Review Request: python-dpkt - Simple packet creation/parsing python library
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Chen Lei
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-28 11:58 UTC by Yanko Kaneti
Modified: 2010-07-31 07:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-31 07:23:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
supercyper1: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Yanko Kaneti 2010-07-28 11:58:48 UTC
Spec URL: http://declera.com/~yaneti/python-dpkt/python-dpkt.spec
SRPM URL: http://declera.com/~yaneti/python-dpkt/python-dpkt-1.7-4.fc14.src.rpm
Description: Package rename of the recently imported "dpkt" from review request - bug 589075

Comment 1 Chen Lei 2010-07-28 12:24:56 UTC
Some initial comments here:

1.
4%{?dist} can be resetted to 1%{?dist}
2.

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
->
%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

%python_sitelib is defined in rpm macros for F13/F14 and EL6.

3.
Group:          Development/Languages
->
Group:          Development/Libraries

Development/Languages is for python runtime(e.g. python python3) or compilers(e.g. gcc clang) only.

4.

Provides: dpkt = 1.7-3
Obsoletes: dpkt < 1.7-3
->
Obsoletes: dpkt < 1.7-4

Since dpkt is a new package, we can safely remove provides here.

5.
I suggest to remove python from summary and description since package name already indicates it's a python module.

Comment 2 Yanko Kaneti 2010-07-28 13:02:39 UTC
Thanks for the comments.

(In reply to comment #1)
> Some initial comments here:
> 
> 1.
> 4%{?dist} can be resetted to 1%{?dist}
> 2.

Did reset it while also removing the previous parts of the changelog

> %{!?python_sitelib: %global python_sitelib %(%{__python} -c "from
> distutils.sysconfig import get_python_lib; print(get_python_lib())")}
> ->
> %if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
> %{!?python_sitelib: %global python_sitelib %(%{__python} -c "from
> distutils.sysconfig import get_python_lib; print(get_python_lib())")}
> %endif
> 
> %python_sitelib is defined in rpm macros for F13/F14 and EL6.

This is just compatibility cruft.
I have no plans to maintain this for anything other than F14+


> 3.
> Group:          Development/Languages
> ->
> Group:          Development/Libraries
> 
> Development/Languages is for python runtime(e.g. python python3) or
> compilers(e.g. gcc clang) only.

Changed.


> 4.
> 
> Provides: dpkt = 1.7-3
> Obsoletes: dpkt < 1.7-3
> ->
> Obsoletes: dpkt < 1.7-4
> 
> Since dpkt is a new package, we can safely remove provides here.

I have no plans to touch the already published F13 update so I think the Provides should stay. and it makes rpmlint happy. Change both to 1.7-4

 
> 5.
> I suggest to remove python from summary and description since package name
> already indicates it's a python module.    

Done.

New 
Spec URL: http://declera.com/~yaneti/python-dpkt/python-dpkt.spec
SRPM URL: http://declera.com/~yaneti/python-dpkt/python-dpkt-1.7-1.fc14.src.rpm

Comment 3 Chen Lei 2010-07-28 13:12:50 UTC
(In reply to comment #2)
> Thanks for the comments.
> (In reply to comment #1)
> > Some initial comments here:
> > 
> > 1.
> > 4%{?dist} can be resetted to 1%{?dist}
> > 2.
> Did reset it while also removing the previous parts of the changelog

It depends on you, actually you can remain the original changelog, but remove release number(e.g.  <yaneti@declera.com> - 1.7-2 ->  <yaneti@declera.com> - 1.7
).

> > %{!?python_sitelib: %global python_sitelib %(%{__python} -c "from
> > distutils.sysconfig import get_python_lib; print(get_python_lib())")}
> > ->
> > %if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
> > %{!?python_sitelib: %global python_sitelib %(%{__python} -c "from
> > distutils.sysconfig import get_python_lib; print(get_python_lib())")}
> > %endif
> > 
> > %python_sitelib is defined in rpm macros for F13/F14 and EL6.
> This is just compatibility cruft.
This part is changed in packaging guideline already. Since you only maintain dpkt for F13+, I suggest you to remove the following lines from spec which is useless for F13 and above:

1.%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

2.BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

3.
rm -rf $RPM_BUILD_ROOT( in %install section)

4.
%clean
rm -rf $RPM_BUILD_ROOT


> > 4.
> > 
> > Provides: dpkt = 1.7-3
> > Obsoletes: dpkt < 1.7-3
> > ->
> > Obsoletes: dpkt < 1.7-4
> > 
> > Since dpkt is a new package, we can safely remove provides here.
> I have no plans to touch the already published F13 update so I think the
> Provides should stay. and it makes rpmlint happy. Change both to 1.7-4

rpmlint is wrong, except there are already some packages depends on dpkt, you can remove provides to save a namespace in rpmdb.

See http://fedoraproject.org/wiki/Upgrade_paths_%E2%80%94_renaming_or_splitting_packages

Comment 4 Yanko Kaneti 2010-07-28 13:31:35 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > Thanks for the comments.
> > (In reply to comment #1)
> > > Some initial comments here:
> 
> > > %{!?python_sitelib: %global python_sitelib %(%{__python} -c "from
> > > distutils.sysconfig import get_python_lib; print(get_python_lib())")}
> > > ->
> > > %if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
> > > %{!?python_sitelib: %global python_sitelib %(%{__python} -c "from
> > > distutils.sysconfig import get_python_lib; print(get_python_lib())")}
> > > %endif
> > > 
> > > %python_sitelib is defined in rpm macros for F13/F14 and EL6.
> > This is just compatibility cruft.
> This part is changed in packaging guideline already. Since you only maintain
> dpkt for F13+, I suggest you to remove the following lines from spec which is
> useless for F13 and above:
> 
> 1.%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from
> distutils.sysconfig import get_python_lib; print(get_python_lib())")}
> 
> 2.BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u}
> -n)
> 
> 3.
> rm -rf $RPM_BUILD_ROOT( in %install section)
> 
> 4.
> %clean
> rm -rf $RPM_BUILD_ROOT

You are right. I've removed them all.

> 
> > > 4.
> > > 
> > > Provides: dpkt = 1.7-3
> > > Obsoletes: dpkt < 1.7-3
> > > ->
> > > Obsoletes: dpkt < 1.7-4
> > > 
> > > Since dpkt is a new package, we can safely remove provides here.
> > I have no plans to touch the already published F13 update so I think the
> > Provides should stay. and it makes rpmlint happy. Change both to 1.7-4
> 
> rpmlint is wrong, except there are already some packages depends on dpkt, you
> can remove provides to save a namespace in rpmdb.
> 
> See
> http://fedoraproject.org/wiki/Upgrade_paths_%E2%80%94_renaming_or_splitting_packages    

This only takes in account the packages in the disrto. For a library type package you can't really know if some user outside the tree might not be depending on the stable package names. 
Granted for dpkt this is unlikely at this point. I've removed the Provides.

New
Spec URL: http://declera.com/~yaneti/python-dpkt/python-dpkt.spec
SRPM URL: http://declera.com/~yaneti/python-dpkt/python-dpkt-1.7-1.fc14.src.rpm

Comment 5 Chen Lei 2010-07-29 09:02:58 UTC
This is just a rename review, source 0 matches upstream checksum:0baa25fd5d87066cf6189a66cf452ac0  dpkt-1.7.tar.gz.

This package is approved.

Comment 6 Yanko Kaneti 2010-07-29 09:14:35 UTC
New Package CVS Request
=======================
Package Name: python-dpkt
Short Description: Simple packet creation/parsing library
Owners: yaneti
Branches: F-14
InitialCC:

Comment 7 Kevin Fenzi 2010-07-30 20:38:18 UTC
GIT done (by process-cvs-requests.py).

Comment 8 Yanko Kaneti 2010-07-31 07:23:41 UTC
Imported in git. f14 build done and submitted via bodhi. 
dpkt retired and request for blocking on f14 and rawhide sent.

I'll wait and see if inheritance takes care of the f14 package ending in rawhide, will build if it doesn't.

Thanks.


Note You need to log in before you can comment on or make changes to this bug.